LinuxQMISDK: LOCEventRegisterReqResp Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LOCEventRegisterReqResp Struct Reference

## Data Fields
ULONGLONG | eventRegister

## Detailed Description

This structure contains the Parameter for RegisterEvents

Parameters

  pEventRegMask | Specifies the events that the control point is interested in receiving. -Values 0x00000001 - to receive position report event indications 0x00000002 - to receive satellite report event indications 0x00000004 - to receive NMEA reports for position and satellites in view 0x00000008 - to receive NI Notify/Verify request event indications 0x00000010 - to receive time injection request event indications. 0x00000020 - to receive predicted orbits request event indications. 0x00000040 - to receive position injection request event indications. 0x00000080 - to receive fix session status report event indications. 0x00000200 - to receive Wi-Fi position request event indications. 0x00000400 - to receive notifications from the location engine indicating its readiness to accept data from the sensors 0x00000800 - to receive time sync requests from the GPS engine. Time sync enables the GPS engine to synchronize its clock with the sensor processor’s clock. 0x00001000 - to receive Stationary Position Indicator (SPI) streaming report indications. 0x00002000 - to receive location server requests. These requests are generated when the service wishes to establish a connection with a location server. 0x00004000 - to receive notifications related to network-initiated Geofences. These events notify the client when a network-initiated Geofence is added, deleted, or edited. 0x00008000 - to receive Geofence alerts. These alerts are generated to inform the client of the changes that may affect a Geofence, e.g., if GPS is turned off or if the network is unavailable. 0x00010000 - to receive notifications when a Geofence is breached. These events are generated when a UE enters or leaves the perimeter of a Geofence. This breach report is for a single Geofence. 0x00020000 - to register for pedometer control requests from the location engine. The location engine sends this event to control the injection of pedometer reports. 0x00040000 - to register for motion data control requests from the location engine. The location engine sends this event to control the injection of motion data. 0x00080000 - to receive notification when a batch is full. The location engine sends this event to notify of Batch Full for ongoing batching session. 0x00100000 - to receive position report indications along with an ongoing batching session. The location engine sends this event to notify the batched position report while a batching session is ongoing. 0x00200000 - to receive Wi-Fi Access Point (AP) data inject request event indications. 0x00400000 - to receive notifications when a Geofence is breached. These events are generated when a UE enters or leaves the perimeter of a Geofence. This breach notification is for multiple Geofences. Breaches from multiple Geofences are all batched and sent in the same notification. 0x00800000 - to receive notifications from the location engine indicating its readiness to accept vehicle data (vehicle accelerometer, vehicle angular rate, vehicle odometry, etc.). 0x01000000 - to receive system clock and satellite measurement report events (system clock, SV time, Doppler, etc.). 0x02000000 - to receive satellite position reports as polynomials.

## Field Documentation

ULONGLONG LOCEventRegisterReqResp::eventRegister